- Get Alert Cluster By Alert
- Get Alert Cluster
- List Alert Clusters
- Update Alert Cluster
GET /api/v1/metrics/alert-cluster/by-alert/{alertId}Get compact alert cluster overview for an alert detail sidebar.Path Parametersstring
required
Example:
3fa85f64-5717-4562-b3fc-2c963f66afa6boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/metrics/alert-cluster/by-alert/{alertId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get compact alert cluster overview for an alert detail sidebar.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
GET /api/v1/metrics/alert-cluster/{clusterId}Get an alert cluster by ID using stored procedure.Path Parametersstring
required
ID of the alert cluster.
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/metrics/alert-cluster/{clusterId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get an alert cluster by ID using stored procedure.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
POST /api/v1/metrics/alert-cluster/listReturns a paginated list of alert clusters, which group related alerts together.Request Bodyobject[]
object[]
string
Example:
"".boolean
Example:
false.boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
object[]
string
Example:
"9f719079-1f88-5565-b442-6fa060d64ea1".string
Example:
"4cde6904-01af-5577-a1b6-5309a49dc34f".string
Example:
"ec081145-a6b3-5d73-ac3f-a5af66cc13fd".string
Example:
"ORDERS_FACT".string
Example:
"CRITICAL".string
Example:
"NEW".string
Example:
"7817c27a-5c5c-5bef-bb97-dfc708d9d36e".string
Example:
"ISU-1".string
Example:
"Customer Domain Schema Constraint Violation Alert".string
Example:
"MSSQL".string
Example:
"TABLE".string
Example:
"Availability".string
Example:
"Schema".number
Example:
0.6708607535005078.integer
Example:
1.integer
Example:
31.object[]
object[]
string
Example:
"2026-09-18T19:42:51.573964Z".string
Example:
"2026-09-18T19:46:46.301483Z".integer
Example:
7.object[]
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/metrics/alert-cluster/list" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"pagination": {
"page": 1,
"pageSize": 10
},
"sorting": [],
"filters": [],
"search": "",
"export": false
}'
Response
{
"success": true,
"message": "List Alert Clusters",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"data": [
{
"alert_cluster_id": "9f719079-1f88-5565-b442-6fa060d64ea1",
"root_alert_id": "4cde6904-01af-5577-a1b6-5309a49dc34f",
"root_asset_id": "ec081145-a6b3-5d73-ac3f-a5af66cc13fd",
"root_asset_name": "ORDERS_FACT",
"priority": "CRITICAL",
"cluster_status": "NEW",
"issue_id": "7817c27a-5c5c-5bef-bb97-dfc708d9d36e",
"issue_ref_id": "ISU-1",
"name": "Customer Domain Schema Constraint Violation Alert",
"source_type": "MSSQL",
"asset_type": "TABLE",
"metric_category": "Availability",
"metric_sub_category": "Schema",
"confidence_score": 0.6708607535005078,
"total_asset": 1,
"total_alert": 31,
"domain": [
{
"id": "23ecd763-846f-5ae8-82b5-6a04502ced74",
"type": "domain",
"label": "customer_domain",
"show_propagation": true
}
],
"owner": [
{
"id": "491be29a-189c-5539-b9c2-6f4f7dc7972a",
"name": "John Smith",
"label": "John Smith",
"owner_type": "Steward"
}
],
"created_at": "2026-09-18T19:42:51.573964Z",
"modified_at": "2026-09-18T19:46:46.301483Z"
}
],
"total_count": 7,
"metrics": []
}
}
PUT /api/v1/metrics/alert-cluster/{clusterId}Updates the status of an alert cluster.Request BodyField descriptions are inferred from the entity model. Which fields are required is not confirmed for this endpoint.string
Workflow or lifecycle status.
string
required
ID of the alert cluster.
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/metrics/alert-cluster/{clusterId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"status": "acknowledged"
}'
Representative request body. Field names follow the corresponding entity model and values are illustrative; send only the fields you need.
Request body
{
"status": "acknowledged"
}
Response
{
"success": true,
"message": "Update Alert Cluster",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}